#!/usr/bin/perl

use bvult;
use bvslt;
use bvshl;
use bvlshr;
use bvashr;
use bvadd;
use bvneg;
use bvsub;
use bvmul;
use bvudiv;
use bvurem;
use bvsdiv;
use bvsrem;
use bvsmod;
use bvshl_const_by_bvmul;
use bvlshr_const_by_bvmul;
use binmagic_by_bw_shl1;

benchmarks_bvult("bvult", 6000, 26000, 997);
benchmarks_bvslt("bvslt", 5000, 20000, 743);
benchmarks_bvshl("bvshl", 400, 1500, 53);
benchmarks_bvlshr("bvlshr", 400, 1400, 47);
benchmarks_bvashr("bvashr", 250, 750, 23);
benchmarks_bvadd("bvadd", 12000, 30000, 887);
benchmarks_bvneg("bvneg", 30000, 130000, 3889);
benchmarks_bvsub("bvsub", 4000, 24000, 997);
benchmarks_bvmul("bvmul", 10, 18);
benchmarks_bvudiv("bvudiv", 15, 25);
benchmarks_bvurem("bvurem", 13, 22);
benchmarks_bvsdiv("bvsdiv", 15, 25);
benchmarks_bvsrem("bvsrem", 12, 20);
benchmarks_bvsmod("bvsmod", 12, 20);

benchmarks_bvshl_const_by_bvmul("bvshl_const_by_bvmul", 500, 850, 53, 0.3, 0.29);
benchmarks_bvlshr_const_by_bvmul("bvlshr_const_by_bvmul", 400, 750, 53, 0.28, 0.29);
benchmarks_binmagic_by_bw_shl1("binmagic_by_bw_shl1", 14, 15, 20);
