#!/bin/bash

make clean

./main.pl

./ndist.sh 20000 30000 499
./power2bit.sh 100000 999999 42589
./power2eq.sh 100000 999999 42589
./power2sum.sh 5500 10000 199
./shift1add.sh 10000 30000 997

for i in */*.smt2
do
  d=`dirname $i`
  b=`basename $i .smt2`
  echo -n "Bit-blasting $b..."
  SECONDS=0
  tools/boolector -rwl0 $i -de -o $d/$b.btor
  tools/synthebtor -m $d/$b.btor $d/$b.aig 
  tools/aigtocnf $d/$b.aig $d/$b.cnf 
  echo " in $SECONDS s"
  
#   echo -n "   solving..."
#   SECONDS=0
#   result=`tools/lingeling $d/$b.cnf`
#   echo " in $SECONDS s, resulting in: $result"

done
