#!/bin/bash

if [ $# != 1 ]
then
  echo "ERROR: No directory specified as argument"
  exit 1
fi

#rm result.tst

for file in $1/*.smt2
do
	echo $file
#	echo $file >> result.tst

	START=$(date +%s)

	RESULT=`boolector --smt2 -m $file`

	END=$(date +%s)
	DIFF=$(( $END - $START ))

	echo $RESULT "($DIFF seconds)"
#	echo $RESULT $DIFF >> result.tst

	if [ $RESULT != "unsat" ]
	then
		echo "Boolector's result is not UNSAT on" $file
	fi
done
